<!-- Extend the layout template -->
<!-- Can leave any of these as default -->
{% extends 'shared/layout.html' %}
<!-- Load static method for templates -->
{% load static %}
<!-- title block sets the main title on the page (in browser bar)-->
{% block title %}
  Anon Ticket
{% endblock %}
<!-- h3 block sets the main title -->
{% block h3 %}
  Anon Ticket
{% endblock %}
<!-- Subheader block sets the subheader -->
{% block subheader %} 
  Login with Existing User Identifier
{% endblock %}
<!-- block content block is where page contents go -->
{% block content %}
<!-- Explanation block -->
<div class="row mb-1">
  <div class="col-12">
    <p class="pr-5">
      If you've already created a user identifier, enter it and click the button below.
      You can separate words with commas, spaces, dashes, or underscores.</p>
    <form action="{% url 'create-identifier' %}" method="post">
      {% csrf_token %}
      <p class="pr-5">If you don't have a user identifier,(or want a different one), you can 
        <button class="btn btn-link btn-lg p-0 border-0" type="submit">create one now</button>.
      </p>
    </form>
  </div>
</div>
<!-- End Explanation block -->
<!-- Start rendering form -->
<form method="POST">
{% csrf_token %}
<!-- Determine if there are form validation errors. If so, render them here. -->
{% if form.non_field_errors %}
<div class="row mt-2">
  <div class="col-12">
    {% for error in form.non_field_errors %}
    <div class="list-unstyled alert alert-primary" role="alert">
      {{error}}
    </div>
    {% endfor %}
  </div>
</div>
{% endif %}
<!-- Render login string block -->
<div class="row mb-3">
  <div class="col-12">
    <div class="bg-light px-4 pt-4 pb-1 flex-form fieldWrapper mb-0">
    {{ form.login_string.errors}}
    {{ form.login_string}}
    <label for="{{form.login_string.id_for_label }}" class="text-muted ml-2 small">
      Enter your user identifier above.</label>
    </div>
  </div>
</div>
<div>
  <button type="submit" class="btn btn-lg btn-primary mr-2 mt-3 new-line">Login With This Identifier</button>
</div>
{% endblock %}
